package com.ejie.m62fb.model;


import com.ejie.m62fb.model.base.AbstractM62FBModel;
import com.ejie.m62fb.model.persona.Persona;
import com.ejie.m62fb.model.tipos.TipoSiNo;

/**
 * M62r18t0- Table BD reference
XXXX
 */

public class InquilinoAd   extends AbstractM62FBModel implements
	java.io.Serializable {

	private static final long serialVersionUID = 1L;
    		//PK
			private Integer idInquilino;
			
		    private Long numInquilino;
		    private Persona persona;
            private ContratoAlquilerad contratoAlquilerad;
            private AlojamientoDotacional alojamientoDotacional;
            private TipoSiNo indAlojAdaptada;

	/** 
	 * Method 'InquilinoAd'.
	 */
    public InquilinoAd() {
    	super();
    }


	
    
    /** 
     * Method 'InquilinoAd'.
     * @param idInquilino Integer
     */    
     public InquilinoAd(Integer idInquilino) {
    	 super();
          this.idInquilino = idInquilino;
	}

    

    /**
	 * Method 'getIdInquilino'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInquilino() {
		return this.idInquilino;
	}

	/**
	 * Method 'setIdInquilino'.
	 *
	 * @param idInquilino Integer
	 * @return
     */
	
	public void setIdInquilino(Integer idInquilino) {
		this.idInquilino = idInquilino;
	}
    /**
	 * Method 'getContratoAlquilerad'.
	 *
	 * @return ContratoAlquilerad
	 */
	
	public ContratoAlquilerad getContratoAlquilerad() {
		return this.contratoAlquilerad;
	}

	/**
	 * Method 'setContratoAlquilerad'.
	 *
	 * @param contratoAlquilerad ContratoAlquilerad
	 * @return
     */
	
	public void setContratoAlquilerad(ContratoAlquilerad contratoAlquilerad) {
		this.contratoAlquilerad = contratoAlquilerad;
	}
    
	/**
	 * Method 'getAlojamientoDotacional'.
	 *
	 * @return AlojamientoDotacional
	 */
	
	public AlojamientoDotacional getAlojamientoDotacional() {
		return this.alojamientoDotacional;
	}

	/**
	 * Method 'setAlojamientoDotacional'.
	 *
	 * @param alojamientoDotacional AlojamientoDotacional
	 * @return
     */
	
	public void setAlojamientoDotacional(AlojamientoDotacional alojamientoDotacional) {
		this.alojamientoDotacional = alojamientoDotacional;
	}
	
    /**
	 * Method 'getNumInquilino'.
	 *
	 * @return Long
	 */
	
	
	public Long getNumInquilino() {
		return this.numInquilino;
	}

	/**
	 * Method 'setNumInquilino'.
	 *
	 * @param numInquilino Long
	 * @return
     */
	
	public void setNumInquilino(Long numInquilino) {
		this.numInquilino = numInquilino;
	}
    /**
	 * Method 'getIdPersona'.
	 *
	 * @return Integer
	 */
	
	
	public Persona getPersona() {
		return this.persona;
	}

	/**
	 * Method 'setIdPersona'.
	 *
	 * @param idPersona Integer
	 * @return
     */
	
	public void setPersona(Persona persona) {
		this.persona = persona;
	}
    /**
	 * Method 'getIndAlojAdaptada'.
	 *
	 * @return indAlojAdaptada
	 * 				TipoSiNo
	 */
	
	
	public TipoSiNo getIndAlojAdaptada() {
		return this.indAlojAdaptada;
	}

	/**
	 * Method 'setIndAlojAdaptada'.
	 *
	 * @param indAlojAdaptada TipoSiNo
	 * 
     */
	
	public void setIndAlojAdaptada(TipoSiNo indAlojAdaptada) {
		this.indAlojAdaptada = indAlojAdaptada;
	}


}

